---
title: "Calendrier"
source: /fr/gcxone/api/schedule
locale: fr
updated: 2026-09-04
---
Opérations sur les ressources de calendrier. 2 points de terminaison, chacun relatif à `https://api.nxgen.cloud/api/v1` et authentifié comme décrit sous [Authentification](/gcxone/api/authentication).

## GET /schedule

Obtenir la liste des plannings associés à un identifiant de niveau hiérarchique tel que Site, Client ou Service provider ID.

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| entityId | query | string | yes | Identifiant de niveau hiérarchique tel que Site, Client ou Service provider ID. |

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès | objet |
| 400 | Entrée invalide |  |
| 403 | Interdit |  |

Exemple `200` réponse :

```json
{
  "errorCode": 0,
  "errorMessage": "Details on error if any.",
  "message": {
    "schedules": [
      {
        "id": "8a81fdd581cf1102820521f1bb08c5",
        "entries": [
          {
            "id": "8a81fdd581cf1102018205251908c6",
            "entryType": "DAY_OF_WEEK",
            "startDate": 1730116540,
            "endDate": 1730116540,
            "dayOfWeek": "MONDAY",
            "startTime": "09:00",
            "endTime": "17:00",
            "autoDelete": false,
            "autoDeleteAt": 1730116540,
            "specialDayId": "",
            "notes": "",
            "_links": {
              "schedule": {
                "href": "http://talos.evalink.io/api/schedule-service/schedules/8a81fdd581cf110201820521bb08c5"
              }
            }
          }
        ],
        "timeZone": "Europe/Berlin",
        "name": "TEST",
        "updatedAt": 1657943696144
      }
    ],
    "specialDays": [
      {
        "id": "8a809592716fa50171cb419a2e016c",
        "name": "Weihnachten",
        "month": "12",
        "date": "25"
      }
    ]
  }
}
```

Exemple `400` réponse :

```json
{
  "errorCode": "ERR001",
  "errorDesc": "Invalid Request"
}
```

## PATCH /schedule

Mettre à jour le calendrier par identifiant de calendrier

### Paramètres

| Nom | Dans | Type | Obligatoire | Description |
| --- | --- | --- | --- | --- |
| scheduleId | query | string | oui | Identifiant du planning à PATCH. |
| hierarchyId | query | string | yes | Identifiant de niveau hiérarchique tel que Site, Client ou Service provider ID. |

### Corps de la Demande

Charge utile du planning

```json
{
  "entries": [
    {
      "id": "string",
      "entryType": "DATE | DAY_OF_WEEK | SPECIAL_DAY | DATE_MULTIPLE | DATE_RANGE",
      "startDate": "string",
      "endDate": "string",
      "dayOfWeek": "MONDAY | TUESDAY | WEDNESDAY | THURSDAY | FRIDAY | SATURDAY | SUNDAY",
      "startTime": "string",
      "endTime": "string",
      "autoDelete": "boolean",
      "autoDeleteAt": "number",
      "specialDayId": "string",
      "notes": "string"
    }
  ],
  "name": "string"
}
```

### Réponses

| Statut | Description | Corps |
| --- | --- | --- |
| 200 | Succès |  |
| 400 | Entrée invalide |  |
| 403 | Interdit |  |

Example `200` réponse:

```json
{
  "errorCode": 0,
  "errorMessage": "Success"
}
```

Example `400` réponse:

```json
{
  "errorCode": "ERR001",
  "errorDesc": "Invalid Request"
}
```